<html>
   <head>
      <meta HTTP-EQUIV='Pragma' CONTENT='no-cache'>
            <script type="text/javascript" src="lang/b28n.js"></script>
            <script language="javascript"><%ejGetOther(forbidHTMLCode)%></script>
            <script language="javascript">
<!-- hide
 function initTranslation() {
      var idArray = new Array("wlrefresh_warn");
	setAllIdValue(idArray);
}

var wltempPage = '<%ejGetWirelessRefresh()%>';
var wltargetPage = '<%ejGetWirelessPage()%>';
var wlRefresh = '<%ejGetWl(wlRefresh)%>';
var delayTime = 6;
var divShowTime;
//var tipMsg = 'Restarting Wireless... Click menu in the left panel for manual refresh';
var tipMsg = _("wlrefresh_warn");

// shared function to refresh time
function refreshShowTime() {
	delayTime--;
	
	divShowTime = document.getElementById("showTime");
	if(divShowTime)
		divShowTime.innerHTML = delayTime + "s";
	
	if(delayTime > 0)setTimeout('refreshShowTime()' , 1000);      
}
// shared function to refresh a page
function refreshPage(page) {
      var code = 'location="' + page + '"'; 
      window.defaultStatus = '';        
      eval(code); 
}
// shared wrapper function to refresh a page
function autoRefresh(val, refresh, page) {
   
   if ( val == '1' ) {       
        setTimeout('refreshPage("'+ refresh + '")' ,delayTime*1000);                                 
        window.defaultStatus = tipMsg;       
   } else {
        refreshPage(page);
   	window.defaultStatus = '';
   }
}
autoRefresh(wlRefresh, wltempPage, wltargetPage);
//-->
</script>
</head>
<body onLoad='initTranslation()'>
	<center>
	<br />
	<br />
	<br />
	<br />
	<script language="javascript">
	<!-- hide
		if ( wlRefresh == '1' ) { 
			document.writeln("<div id='showTime'>" + delayTime + "s</div>");
			document.writeln("<div>" + tipMsg + "</div>");
			setTimeout('refreshShowTime()' , 1000);      
		}
	//-->
	</script>
	<br />
	<br />
	<br />
	<br />
	</center>
</body>
</html>
